package com.aitrainer.api.model.diet

import com.google.gson.annotations.Expose
import jakarta.persistence.*
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.jetbrains.annotations.NotNull

@Entity
data class Diet (
    @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @Expose val dietId: Long = 0,
    @Expose @get: NotNull val dietUserId: Long = 0,
    @Expose @get: NotNull val dietText: String = "",
    @Expose @get: NotNull val startDate: String = "",
) {
    @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "diet")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val meals: MutableList<DietMeal> = mutableListOf()
}