package com.aitrainer.api.model.diet

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import jakarta.persistence.*
import org.jetbrains.annotations.NotNull

@Entity
data class DietMeal (
    @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @Expose val id: Long = 0,
    @Expose @get: NotNull val mealId: Long = 0,
    @Expose @get: NotNull val mealName: String = "",
    @Expose @get: NotNull val meal: String = "",
    @Expose @get: NotNull val quantity: Double = 0.0,
    @Expose @get: NotNull val quantityUnit: String = "",
) {
    @ManyToOne(fetch = FetchType.EAGER, optional = false)
    @JoinColumn(name = "dietId", nullable = false)
    @JsonIgnore
    var diet: Diet? = null
}