package com.aitrainer.api.model.diet

import com.google.gson.annotations.Expose
import jakarta.persistence.*
import org.jetbrains.annotations.NotNull
import org.springframework.lang.NonNull

@Entity
data class DietUserConsumption(
    @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @Expose val id: Long = 0,

    @Expose @get: NotNull val dietUserId: Long = 0,
    @Expose @get: NotNull val mealId: Long = 0,
    @Expose @get: NotNull val name: String = "",
    @Expose @get: NonNull var dateConsumption: String = "",

    @Expose @get: NotNull val quantity: Double = 0.0,
    @Expose @get: NotNull val quantityUnit: String = "",

    @Expose @get: NotNull val cal: Double = 0.0,
    @Expose @get: NotNull val protein: Double = 0.0,
    @Expose @get: NotNull val fat: Double = 0.0,
    @Expose @get: NotNull val ch: Double = 0.0,
    @Expose @get: NotNull val sugar: Double = 0.0,
)